/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name: chooseLibrary.js
* Purpose: Javascript functions for create,modify, delete library
* $Id: chooseLibrary.js 1.2 2006/12/10 15:44:41MST Bill Gray (bgray) dev  $
*******************************************************************************/


// 
// confirms the user has selected a library, if one exists
//
function confirmSelect()
{
   var headerform = document.forms[0];
   var name = "";
   var value;
   var serial;
   var length;
   var gotlib=0;
   
     // check to see if 0 or 1 libraries exist
     // Goofy fix for radio buttons that only have one element in the array.
     // input type radio will return undefined if only one element in 
     // the array.
     // below: no users in the list
     if (!headerform.selectlibs)
     {
       alert("Please create a library before performing the current action.");
       return false;
     }
     // one library in the list
     else if (!headerform.selectlibs.length)
     {
        length = 1;
     }
     else // more then 1 user in the list
     {
        length = headerform.selectlibs.length;
     }

     for (i=0; i<length; i++)
     {
        if (length == 1)
	{
	   checked = headerform.selectlibs.checked;
           value = headerform.selectlibs.value;
        }
	else
	{
	   checked = headerform.selectlibs[i].checked;
           value = headerform.selectlibs[i].value;
        }

        if (checked)
        {
           gotlib = 1;
           value = value.split(":");      
	   headerform.libraryName.value = value[0];
	   headerform.slotCount.value = value[1];
	   headerform.numberMedia.value = value[2];
	   headerform.mediaDomain.value = value[3];
	   headerform.virtualLibrary.value = value[4];
	   break;
        } 
      }

      if (gotlib == 0)
      {
         alert("Please select a library before moving forward.");
         return false;
      }
      
      return true;
}
