/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name: cleaningMediaExport.js
* Purpose: Javascript functions for export cleaning Media
*
* $Id: cleaningMediaExport.js 1.6 2006/12/06 11:17:04MST Bill Gray (bgray) dev  $
*******************************************************************************/

function doExportCleaningMedia()
{
   var selectCount = 0;
   var numRows = self.frames["sourceList"].document.forms[0].numRows.value;

   var selectedSlots="";

   for (i=0; i<numRows; i++)
   {
      var selectSource = self.frames["sourceList"].document.getElementsByName("sourceSelect" + i);

      if( (selectSource[0].type == 'checkbox') && (selectSource[0].checked) )
      {
         if( selectedSlots == "")
         {
            selectedSlots = selectSource[0].value;
         }
         else
         {
            selectedSlots = selectedSlots + ':' + selectSource[0].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].slotSelection.value = selectedSlots;

   if( selectCount <= 0 )
   {
      alert('Please select cleaning media to export');
      return;
   }

   var maxSelectCount = document.forms['resultForm'].emptySlotCount.value;

   if( maxSelectCount == 0 )
   {
      alert('There are no empty I/E slots to export to');
      return;
   }

   if( selectCount > maxSelectCount )
   {
      alert('Please select ' + maxSelectCount + ' or fewer cleaning media to import');
      return;
   }

   var action = "Exporting Cleaning Media";

   openProgressWindow(action, 1);
}

function setData()
{
//
// called from list page
//
   parent.document.getElementById('s_dispCleaningMediaRows').innerHTML = document.forms[0].cleaningMediaCount.value;
   parent.document.forms['resultForm'].emptySlotCount.value 
                       = document.forms[0].emptySlotCount.value;
   parent.document.getElementById('s_dispMailboxSlots').innerHTML
                       =  document.forms[0].emptySlotCount.value;
}
