// This function is intended to be used in the onload of an iframe src page.
function initPaging()
{
    initPagingForForm(0, "");
}

function initPagingForForm(formName, spanIdPrefix)
{
   if (document.getElementById("page1"))
   {
      document.getElementById("page1").style.visibility = "visible";
      parent.document.forms[formName].currentPageNumber.value = 1;
      parent.document.forms[formName].number.value = 1;
      if( document.forms[0].pages.value == 0 )
         document.forms[0].pages.value = 1;

      parent.document.forms[formName].pages.value = document.forms[0].pages.value;
   }
   if (parent.document.getElementById(spanIdPrefix + "dispNumRows"))
   {
      parent.document.getElementById(spanIdPrefix + "dispNumRows").innerHTML = document.forms[0].numRows.value;
   }
   if (parent.document.getElementById(spanIdPrefix + "dispNumPages"))
   {
      parent.document.getElementById(spanIdPrefix + "dispNumPages").innerHTML = document.forms[0].pages.value;
   }
   if (parent.document.getElementById(spanIdPrefix + "dispLowPageRows"))
   {
      if( document.forms[0].highListRow1.value == 0 )
         document.forms[0].lowListRow1.value = 0;

      parent.document.getElementById(spanIdPrefix + "dispLowPageRows").innerHTML =
         document.forms[0].lowListRow1.value;
      parent.document.getElementById(spanIdPrefix + "dispHighPageRows").innerHTML =
         document.forms[0].highListRow1.value;
   }
   return;
}

function showPage(input)
{
   /* NOTE: If you have a page with two Iframes with paging functionality
      Don't use this function - use the one below that you can pass form number
       and IFrameName to. showPageForForm(formName, iframeName, input, spanIdPrefix)
   */
   showPageForForm(0, "iframeList", input, "");
}

function showPageForForm(formName, iframeName, input, spanIdPrefix)
{
   if (!spanIdPrefix)
   {
      spanIdPrefix = "";
   }
   var f = document.forms[formName];
   var pages = parseInt(f.pages.value);
   var hidePage;
   var visiblePage;
   var currentPage = parseInt(f.number.value);
   var prevPage = parseInt(f.currentPageNumber.value);

   if(f.number.value == "" )
   {
      f.number.value = 1;
   }

   if (currentPage <= 0)
   {
      f.number.value = 1;
      currentPage = f.number.value;
   }

   if (currentPage > pages)
   {
      f.number.value = pages;
      currentPage = f.number.value;
   }

   if (input == "next")
   {
     if (f.currentPageNumber.value == pages)
     {
             // Wrap around to the beginning
        inputNumber = 1;
     }
     else
     {
        inputNumber = currentPage + 1;
     }
   }
   else if (input == "back")
   {
     if (f.currentPageNumber.value == 1)
     {
             inputNumber = pages;
     }
     else
     {
        inputNumber = currentPage - 1;
     }
   }
   else if (input == "value")
   {
       /*#############################################################################
        # NOTE: To have the page work when entering a value and pressing ENTER. You
         # MUST have at least TWO text fields in the form or the Browser will SUBMIT
         # the form which will reload the page and put you back on page 1.
         # If you only have the one text files which is the current page number field
         # you can add a second filed in a hidden div to satisfy the bowsers need.
         # like: <div class="hiddenDiv"><input name=EnterFix type=text></div>
         # See driveSetup.htm for an example
         #############################################################################*/
         inputNumber = f.number.value;
   }

   // don't load the same page again
   if (inputNumber == prevPage)
   {
      return;
   }

   f.number.value = inputNumber;
   f.currentPageNumber.value = inputNumber;

   if (self.document.getElementById(spanIdPrefix + "dispLowPageRows"))
   {
      // update the low and high values for the nubers of the list for the page
      lowListRow = "lowListRow" + inputNumber;
      highListRow = "highListRow" + inputNumber;
      self.document.getElementById(spanIdPrefix + "dispLowPageRows").innerHTML =
         self.frames[iframeName].document.getElementsByName(lowListRow)[0].value;
      self.document.getElementById(spanIdPrefix + "dispHighPageRows").innerHTML =
         self.frames[iframeName].document.getElementsByName(highListRow)[0].value;
   }

   // hide previous page
   hidePage = "page" + prevPage;
   self.frames[iframeName].document.getElementById(hidePage).style.visibility = "hidden";

   // show new page
   visiblePage = "page" + inputNumber;
   self.frames[iframeName].document.getElementById(visiblePage).style.visibility = "visible";
   return;
}

