/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name:  reportDrives.js
* Purpose: Javascript functions for reporting virtual drives 
* $Id: setupLibrary.js 1.1 2004/02/02 18:21:09MST Michael Jones (mjones) dev  $
*******************************************************************************/

// report Media pages

var state = 0;
var currentSortOn="name";


// show the current page selection
function showPage(input)
{
   if (input == "init")
   {
      if (top.frames["mediaList"].document.getElementById("page1"))
      {
         top.frames["mediaList"].document.getElementById("page1").style.visibility = "visible";
         top.document.forms[0].currentPageNumber.value = 1;
         top.document.forms[0].number.value = 1;
         top.document.forms[0].numberMedia.value = document.forms[0].numberMedia.value;
         top.document.forms[0].pages.value = document.forms[0].pages.value;
         top.document.getElementById("dispNumMedia").innerHTML =
            document.forms[0].numberMedia.value;
         top.document.getElementById("dispNumPages").innerHTML =
            document.forms[0].pages.value;
         return;
      }
      else
      {
         setTimeout("showPage();", 200);
         return;
      }
   }

   var f = document.forms[0];
   var pages = parseInt(f.pages.value);
   var hidePage;
   var visiblePage;
   var currentPage = parseInt(f.number.value);
   var prevPage = parseInt(f.currentPageNumber.value);

   if(f.number.value == "" )
   {
      f.number.value = 1;
   }
      
   if (currentPage <= 0) 
   {
      f.number.value = 1;
      currentPage = f.number.value;
   }

   if (currentPage > pages)
   {
      f.number.value = pages;
      currentPage = f.number.value;
   }


   if (input == "next")
   {
      if (f.currentPageNumber.value == pages)
      {
         return;
      }
      else
      {
         inputNumber = currentPage + 1;
      }
   }
   else if (input == "back")
   {
      if (f.currentPageNumber.value == 1)
      {
         return;
      }
      else
      {
         inputNumber = currentPage - 1;
      }
   }
   else if (input == "value")
   {
      inputNumber = f.number.value;
   }   

   // don't load the same page again
   if (inputNumber == prevPage)
   {
      return;
   }

   f.number.value = inputNumber;
   f.currentPageNumber.value = inputNumber;


   // hide previous page
   hidePage = "page" + prevPage;
   top.frames["mediaList"].document.getElementById(hidePage).style.visibility = "hidden";

   // show new page
   visiblePage = "page" + inputNumber;
   top.frames["mediaList"].document.getElementById(visiblePage).style.visibility = "visible";
   return;
}

