/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name:  systemReport.js
* Purpose: Javascript functions for launching system wide reports
* $Id: systemReport.js 1.18 2007/10/29 16:18:38MDT Bill Gray (bgray) dev  $
*******************************************************************************/

// Javascript file for showing a report


function showLibraryReport(url)
{
    var d = new Date();
    var name = "LibraryReport" + d.getTime();
    showReport(url, "menubar=yes,height=500,width=750,resizable,scrollbars=yes",name);
}

function showMediaReport(url)
{
    var name = "MediaReport";
    showReport(url,"menubar=yes,height=560,width=750,resizable,scrollbars=auto",name);
}

function showSystemInfoReport(url)
{
    var name = "SystemInformation";
    showReport(url,"menubar=yes,height=525,width=900,resizable,scrollbars=yes",name);
}

function showConfigReport(url)
{
    var name = "ConfigReport";
    showReport(url,"menubar=yes,height=525,width=750,resizable,scrollbars=yes",name);
}

function showNetworkReport(url)
{
    var name = "NetworkReport";
    showReport(url,"menubar=yes,height=525,width=750,resizable,scrollbars=yes",name);
}

function showConfigReportLarge(url)
{
    var name = "ConfigReport";
    showReport(url,"menubar=yes,height=525,width=900,resizable,scrollbars=yes",name);
}

function showUserLoginsReport(url)
{
    var name = "UserLoginsReport";
    showReport(url,"menubar=yes,height=425,width=750,resizable,scrollbars=yes",name);
}

function showToolsAbout(url)
{
    var name = "About";
    showReport(url,"menubar=yes,height=325,width=500,resizable,scrollbars=auto",name);
}

function showToolsLicenses(url)
{
    var name = "AboutOEMLicenses";
    showReport(url,"menubar=yes,height=600,width=800,resizable,scrollbars=yes",name);
}

function doRegistration()
{
    var name = "Registration";

    var url="registerLibrary.htm";
    showReport(url,"menubar=no,height=600,width=725,resizable,scrollbars=yes",name);
}

function showReport(url,options,windowName)
{
    // check to see if window is already open.  If it
    // is return.
    var reportWindowHandle = window.open(url, windowName, options);
    reportWindowHandle.focus();
}

// check the device status and alert the user if good, or forward
// them to the system status page.
function checkFruHealth(device,imgName)
{
   var image = document.images[imgName].src;
   if (image.match("good"))
   {
      alert("The status of the " + device + " is good.");
      return false;
   }
   return true;
}
