APPROOTDIR=/home/embedded/library
TMPKEYSDIR=$$tmpkeys


if [ ! -d ${APPROOTDIR} ] 
then
	echo "Application home directory not found"
	exit 0
else
	echo "Executing clear to ship"
fi
 
echo "Removing all core files from library"
rm -f `find / -name "core.*" -type f`

cd ${APPROOTDIR}

#
# Commenting out the lines that remove binaries and libraries on clear to ship.
# This is unnecssary and causes delays on initial startup.
#

#if [ -d ./lib ]
#then
#	rm -r ./lib
#fi

#if [ -d ./bin ]
#then
#	rm -r ./bin
#fi

if [ -d ./upload ]
then
	rm -r ./upload
	mkdir -m +w ./upload
fi


#if [ -d ./AppManager ]
#then
#	rm -r ./AppManager
#fi

if [ -d ./CoreService ]
then
	mkdir ${TMPKEYSDIR}
	cp ./CoreService/dat/LicKey* ./${TMPKEYSDIR}
	rm ./CoreService/dat/*
	cp ./${TMPKEYSDIR}/LicKey* ./CoreService/dat/.
	rm -r ./${TMPKEYSDIR}
fi

#if [ -d ./ConsoleService ]
#then
#	rm -r ./ConsoleService
#fi

#if [ -d ./HTTPService ]
#then
#	rm -r ./HTTPService
#fi

#if [ -d ./SMI-SService ]
#then
#	rm -r ./SMI-SService
#fi
#if [ -d ./SNMPService ]
#then
#	rm -r ./SNMPService
#fi
#if [ -d ./SSLService ]
#then
#	rm -r ./SSLService
#fi
#if [ -f S101CoreVersion.cpp ]
#then
#	rm S101CoreVersion.cpp
#fi
if [ -d /var/log ] 
then
	rm -f /var/log/*
fi

if [ -f InstallingFirmware ] 
then
	rm -f InstallingFirmware
fi

HOSTNAME=`hostname`
DEFAULT='library'
#sed -r -i 's/^.*'"$HOSTNAME"'$/192\.168\.1\.1  '"$DEFAULT"'/' /etc/hosts
#sed -r -i 's/^'"$HOSTNAME"'/'"$DEFAULT"'/' /etc/hostname
#/bin/hostname -F /etc/hostname
cp -f /etc/network/interfaceEth2.dhcp /etc/network/interfaceEth2
cp -f /etc/hosts.orig /etc/hosts
cp -f /etc/hostname.orig /etc/hostname
cp -f /etc/resolv.conf.orig /etc/resolv.conf
cp -f /etc/extaccess.conf.orig /etc/extaccess.conf
