#!/bin/sh
#
##
# $Header: bladeSnap.sh 1.3 2006/10/18 08:52:38MDT Bob Ackerman (backerman) dev  $
#
# $ADICCopyright: Copyright 2007 Quantum Corp. $
#
# $Log: bladeSnap.sh  $
# Revision 1.3 2006/10/18 08:52:38MDT Bob Ackerman (backerman) 
# Add filename extension and use $e instead of hardcode.
# Revision 1.2 2006/10/17 11:57:17PDT ateirelbar 
# Added calls to logView utility
# Revision 1.1 2006/09/08 22:47:55GMT ateirelbar 
# Initial revision
# Member added to project e:/mks/projects/ccDevModel/Code/Applications/Scalar101/S101SystemBuild/project.pj
#

FCBLOGVIEW=`which FCBlogView`

. /home/embedded/library/allBladesOp

TMP_LOG=/tmp/blade_snap_log
filenamehdr=/tmp/evl_

allBladesOp "supportDump 1248 > /log/snap" > $TMP_LOG

evlog_list=`ls /var/log/adic/I0*/eventlog`;
for e in $evlog_list; do
    filename=`echo $e | awk -F "/" '{print $5}'`
    $FCBLOGVIEW /G $e > $filenamehdr$filename 2>&1
done

# Obtain the command flow log from each blade. Only asking for 100 entries
# because when getting the log for individual LUN's we only get 100 entries.
allBladesOp "cfLogEventPlaybackAll 100 > /log/cflog" >> $TMP_LOG

cat $TMP_LOG | logger
rm -f $TMP_LOG
