/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name: cleaningMediaImport.js
* Purpose: Javascript functions for import cleaning Media
*
* $Id: cleaningMediaImport.js 1.6 2006/05/19 09:53:44MDT Bill Gray (bgray) dev  $
*******************************************************************************/

function doImportCleaningMedia()
{
   var selectCount = 0;
   var numRows = self.frames["sourceList"].document.forms[0].numRows.value;

   var selectedSlots="";
   var cleanList="";

   var cleanInput;

   for (i=0; i<numRows; i++)
   {
      var selectSource = self.frames["sourceList"].document.getElementsByName("sourceSelect" + i);


      if( (selectSource[0].type == 'checkbox') && (selectSource[0].checked) )
      {
         cleanInput = self.frames["sourceList"].document.getElementsByName("requestCleaning" + i);

         if( selectedSlots == "")
         {
            selectedSlots = selectSource[0].value;
            cleanList = cleanInput[0].value;
         }
         else
         {
            selectedSlots = selectedSlots + ':' + selectSource[0].value;
            cleanList = cleanList + ':' + cleanInput[0].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].slotSelection.value = selectedSlots;
   document.forms['resultForm'].cleanCountList.value = cleanList;

   if( selectCount <= 0 )
   {
      alert('Please select cleaning media to import');
      return;
   }

   var maxSelectCount = document.forms['resultForm'].emptySlotCount.value;

	if( maxSelectCount == 0 )
   {
      alert('There are no empty Cleaning slots to import to');
      return;
   }

   if( selectCount > maxSelectCount )
   {
      alert('Please select ' + maxSelectCount + ' or fewer cleaning media to import');
      return;
   }

   var action = "Importing Cleaning Media";

   openProgressWindow(action, 1);
}

function setData()
{
//
// called from list page
//
   parent.document.getElementById('s_dispCleaningEmptyNumRows').innerHTML = document.forms[0].emptySlotCount.value;
   parent.document.forms['resultForm'].emptySlotCount.value 
               = document.forms[0].emptySlotCount.value;
}
