/******************************************************************************
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/******************************************************************************
* Name: mediaExport.js
* Purpose: Javascript functions for export Media
*
* $Id: mediaExport.js 1.12 2006/12/10 15:41:03MST Bill Gray (bgray) dev  $
*******************************************************************************/

function doExportMedia()
{
   var selectCount = 0;
   var selectList = self.frames["sourceList"].document.forms[0].getElementsByTagName('input');

   var selectedSlots="";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'checkbox') && (selectList[i].checked) )
      {
         if( selectedSlots == "")
         {
            selectedSlots = selectList[i].value;
         }
         else
         {
            selectedSlots = selectedSlots + ':' + selectList[i].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].slotSelection.value = selectedSlots;
   var maxSelectCount = document.forms['resultForm'].emptyMailboxCount.value;

   if( maxSelectCount <= 0 )
   {
      alert('There are no I/E Station slots available. Please remove Media from I/E Station');
      return;
   }

   if( selectCount <= 0 )
   {
      alert('Please select media to export');
      return;
   }

   if( selectCount > maxSelectCount )
   {
      alert('Please select ' + maxSelectCount + ' or fewer media to export');
      return;
   }

	  // Caution the user the Lib will be taken Offline
	  if( !cautionLibOffline() )
	 	  return;

   var action = "Exporting Media";

   openProgressWindow(action, 2);
}


function next()
{
   var libs = document.forms['libraryForm'].getElementsByTagName('input');

   for (i = 0; i < libs.length; i++)
   {
      if( (libs[i].type == "radio") && (libs[i].checked) )
      {
         var lib = libs[i].value;
         var litems = lib.split(":");
         //
         // only reload if different library
         //
         if( litems[1] != document.forms['resultForm'].libraryGUID.value )
         {
            // page is regenerated; must deselect.
            document.forms['sourceForm'].allSourceSelect.checked = false;

            document.getElementById('libraryNameMedia').innerHTML =
              "<b>" + litems[0] + " (" + litems[2] + ")" + "</b>";

            document.forms['resultForm'].libraryGUID.value = litems[1];
            document.forms['sourceForm'].libraryGUID.value = litems[1];

            document.getElementById('sourceList').src =
                       "mediaExportSourceList.htm?libraryGUID=" + litems[1];

         }

         switchDiv('header','selectLocations');
         return;
      }
   }
   alert("Please select a partition.");
}

function setLibraryData()
{
//
// called from list page
//
   parent.document.getElementById('d_dispNumRows').innerHTML = document.forms[0].emptyMailboxCount.value;
   parent.document.forms['resultForm'].emptyMailboxCount.value
               = document.forms[0].emptyMailboxCount.value;
}

function checkMailboxSpace(checkBox)
{
   var checkboxList = document.getElementsByTagName('input');
   var checkedCount = 0;
   for(var i=0; i<checkboxList.length; i++ )
   {
      if( checkboxList[i].type == 'checkbox' && checkboxList[i].checked)
      {
         checkedCount++;
      }
   }

   if( checkedCount > document.forms[0].emptyMailboxCount.value )
   {
      alert("Library has only " + document.forms[0].emptyMailboxCount.value + " empty I/E slot(s).");
      checkBox.checked = false;
      return false;
   }
   return true;
}
