/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name:  reportLibraries.js
* Purpose: Javascript functions for report virtual libraries 
* $Id: reportLibraries.js 1.1 2004/02/02 18:20:37MST Michael Jones (mjones) dev  $
*******************************************************************************/

// report Library pages

var state = 0;
var currentSortOn="name";

// send back information on which column to sort on.
function sortBy(name)
{
   var f = document.forms[0];
   // arrow=0 down arrow=1 up
   var arrow=0;

   if( currentSortOn == name )
   {
      if( f.orderBy.value == "ASC" )
      {
         f.orderBy.value = "DESC";
         arrow=1;
      }
      else
      {
         f.orderBy.value = "ASC";
         arrow=0;
      }
   }
   else
   {
      currentSortOn = name;
      f.orderBy.value = 'ASC';
   }

   if (name == "name")
   {
      f.orderOn.value = "library_name";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src  = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["libArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["libArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   if (name == "serialnumber")
   {
      f.orderOn.value = "serial_number";
      document.images["libArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src  = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["serialArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["serialArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   else if (name == "type")
   {
      f.orderOn.value = "hard_type_name";
      document.images["libArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src  = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["typeArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["typeArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   else if (name == "drivecount")
   {
      f.orderOn.value = "drive_count";
      document.images["libArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src  = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["drvArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["drvArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   else if (name == "mediacount")
   {
      f.orderOn.value = "media_count";
      document.images["libArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["mediaArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["mediaArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   else if (name == "capacity")
   {
      f.orderOn.value = "capacity";
      document.images["libArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["freeArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["capArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["capArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   else if (name == "freespace")
   {
      f.orderOn.value = "free_space";
      document.images["libArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["serialArrow"].src = "/ui/vli/images/clear.gif";
      document.images["typeArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["drvArrow"].src   = "/ui/vli/images/clear.gif";
      document.images["mediaArrow"].src    = "/ui/vli/images/clear.gif";
      document.images["capArrow"].src   = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["freeArrow"].src = "/ui/vli/images/arrowDown.gif";
      }
      else
      {
         document.images["freeArrow"].src = "/ui/vli/images/arrowUp.gif";
      }
   }
   f.submit();
}

// show the current page selection
function showPage(input)
{
   if (input == "init")
   {
      if (top.frames["mediaList"].document.getElementById("page1"))
      {
         top.frames["mediaList"].document.getElementById("page1").style.visibility = "visible";
         top.document.forms[0].currentPageNumber.value = 1;
         top.document.forms[0].number.value = 1;
         top.document.forms[0].numberMedia.value = document.forms[0].numberMedia.value;
         top.document.forms[0].pages.value = document.forms[0].pages.value;
         top.document.getElementById("dispNumMedia").innerHTML =
            document.forms[0].numberMedia.value;
         top.document.getElementById("dispNumPages").innerHTML =
            document.forms[0].pages.value;
         return;
      }
      else
      {
         setTimeout("showPage();", 200);
         return;
      }
   }

   var f = document.forms[0];
   var pages = parseInt(f.pages.value);
   var hidePage;
   var visiblePage;
   var currentPage = parseInt(f.number.value);
   var prevPage = parseInt(f.currentPageNumber.value);

   if(f.number.value == "" )
   {
      f.number.value = 1;
   }
   
   if (currentPage <= 0) 
   {
      f.number.value = 1;
      currentPage = f.number.value;
   }

   if (currentPage > pages)
   {
      f.number.value = pages;
      currentPage = f.number.value;
   }


   if (input == "next")
   {
      if (f.currentPageNumber.value == pages)
      {
         return;
      }
      else
      {
         inputNumber = currentPage + 1;
      }
   }
   else if (input == "back")
   {
      if (f.currentPageNumber.value == 1)
      {
         return;
      }
      else
      {
         inputNumber = currentPage - 1;
      }
   }
   else if (input == "value")
   {
      inputNumber = f.number.value;
   }   

   // don't load the same page again
   if (inputNumber == prevPage)
   {
      return;
   }

   f.number.value = inputNumber;
   f.currentPageNumber.value = inputNumber;


   // hide previous page
   hidePage = "page" + prevPage;
   top.frames["mediaList"].document.getElementById(hidePage).style.visibility = "hidden";

   // show new page
   visiblePage = "page" + inputNumber;
   top.frames["mediaList"].document.getElementById(visiblePage).style.visibility = "visible";
   return;
}

