/****************************************************************************** 
*
* Copyright 1991-2003 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name:  toolsSystemStatus.js
* Purpose: Javascript functions for displaying system status tickets
* $Id: toolsSystemStatus.js 1.3 2004/09/24 08:47:44MDT Bill Gray (bgray) dev  $
*******************************************************************************/

var selectedTicket = "";
var currentSortOn="last_update";

//this keeps the current state of the filter so it
//can get put back if the cancel button is pushed.
var g_filterRule = "ALL";

// send back information on which column to sort on.
function sortBy( name )
{
   var f = document.forms['SystemStatusForm'];

	 if( name == "onlyTicket" )
	 {
		 	//f.onlyTicket.value = f.specificTicket.value;
			f.submit();
			return;
	 }
	 
   if (name == "filter")
   {
      f.filter.value = "ticket";
      f.submit();
      return;
   }

   if( currentSortOn == name )
   {
      if( f.orderBy.value == "ASC" )
      {
         f.orderBy.value = "DESC";
         arrow=1;
      }
      else
      {
         f.orderBy.value = "ASC";
         arrow=0;
      }
   }
   else
   {
      currentSortOn = name;
      f.orderBy.value = 'ASC';
   }

   if (name == "ticket")
   {
      f.orderOn.value = "ticketNumber";
      document.images["statusArrow"].src = "images/clear.gif";
      document.images["dateArrow"].src = "images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["ticketArrow"].src = "images/arrowDown.gif";
      }
      else
      {
         document.images["ticketArrow"].src = "images/arrowUp.gif";
      }
   }
   else if (name == "status")
   {
      f.orderOn.value = "status";
      document.images["ticketArrow"].src = "images/clear.gif";
      document.images["dateArrow"].src = "images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["statusArrow"].src = "images/arrowDown.gif";
      }
      else
      {
         document.images["statusArrow"].src = "images/arrowUp.gif";
      }
   }
   else if (name == "last_update")
   {
      f.orderOn.value = "last_update";
      document.images["ticketArrow"].src = "images/clear.gif";
      document.images["statusArrow"].src = "/ui/vli/images/clear.gif";
      if (f.orderBy.value == "ASC")
      {
         document.images["dateArrow"].src = "/images/arrowUp.gif";
      }
      else
      {
         document.images["dateArrow"].src = "images/arrowDown.gif";
      }
   }
   f.submit();
}

// launch the window to display ticket details
function displayDetails()
{
   var options = "menubar=yes,height=550,width=600,resizable,screenX=250,scrollbars=yes";
   var headerform = document.forms[0];
   var modform = document.forms[1];
   var ticket = headerform.selectedTicket.value;
   if (ticket == "")
   {
      alert("Please select a ticket.");
      return;
   }

   // check to see if window is already open.  If it
   // is return.
   var windowHandle = window.open("systemStatusTicket.htm", "Details", options);
   windowHandle.focus();

}

// Show current analysis information about the ticket
function showAnalysis()
{
   if (document.forms[0].diary.value == "null")
      document.forms[1].tmpDiary.value = "";
   else
      document.forms[1].tmpDiary.value = unescape(document.forms[0].diary.value);

   if (document.forms[0].status.value == "closed")
   {
      document.forms[1].close.checked  = true;
      document.forms[1].close.disabled = true;
   }
   else
   {
      document.forms[1].close.checked  = false;
      document.forms[1].close.disabled = false;
   }
}

// update the ticket status, closed, and new analysis information
function setModifyValues(ticket)
{
   parent.document.forms[0].selectedTicket.value = ticket;
   // store selected ticket in the form used to retrieve
   // ticket details
   parent.document.forms[1].selectedTicket.value = ticket;
}

function showTickets(display)
{
   document.forms[0].specificTicket.value = "";
   document.forms[0].show.value = display;
   document.forms[0].submit();
}

function modifyTicket()
{
   document.forms[1].diary.value = escape(document.forms[1].tmpDiary.value);
   openProgressWindow('Modifying Ticket', '1');
   setTimeout('window.close()', 1000);
}

function displayServiceProcedure(url)
{
   var options = "menubar=yes,height=580,width=680,resizable,screenX=350,screenY=250,scrollbars=yes";

   // check to see if window is already open.  If it
   // is return.
   var windowHandle = window.open(url, "ServiceProcedure", options);
   windowHandle.focus();
}

function gotoTicket()
{
   //var f = document.forms['SystemStatusForm'];

   //f.filterPattern.value = f.specificTicket.value;
   //if (f.specificTicket.value == "")
   //{
   //		return;
   //}
   sortBy("onlyTicket");
}

function submitOnReturn(e)
{
   var f = document.forms['SystemStatusForm'];
   var key = e.keyCode;
   var pattern = /\D/;
   var string = f.specificTicket.value;

   // if return was pressed
   if (key == 13)
      gotoTicket();
   
   if (f.specificTicket.value.match(pattern))
   {
      alert("Only numerical characters are allowed.");
      // remove the invalid character and put focus on the input field
      string = string.slice(0,-1);
      f.specificTicket.value = string;
      f.specificTicket.focus();
      return(1);
   }
   return(0);
}
