function selectOperation()
{
   var mailboxGUID; 
   if( document.forms['fupForm'] )
      mailboxGUID = document.forms['fupForm'].mailboxGUID.value;
   else
      mailboxGUID = document.forms['fupEForm'].mailboxGUID.value;

   var f = document.forms[0];
   
   if( f.op[0].checked || f.op[1].checked || f.op[2].checked )
   { 
      if( !checkZeroMailbox(f) )
      {
         return false;
      } 
   } 
   
   if ((f.op[0].checked || f.op[1].checked) && mailboxGUID == "")
   {
      alert("This operation requires an open I/E Station slot and all I/E Station slots are currently full.\n" + "When an open I/E Station is available, reload this page to continue.");
      loadHomePage();
      return;
   }

	/*########################################################################################
	 # Note: I could not use the php defines for the help topics below. So I'm using the 
	 # value they are drfined as. I included the define in a coment ext to each use.
	 # So if one of these defines change you need to make sure you change the value here too.
	 #########################################################################################*/
	var iTmp;
   if (f.op[0].checked) 
   {
      iTmp = 0;
      operation = f.op[0].value;
      submitDiv = 'eraseFUPDiv';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Erase Firmware Tape";
      document.getElementById('helpTag').value = 54; //"Erasing_FUP_Tapes"
   }
   else if (f.op[1].checked) 
   {
      iTmp = 1;
      operation = f.op[1].value;
      submitDiv = 'createFUPDiv';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Create Firmware Tape";
      document.getElementById('helpTag').value = 53; //"Creating_FUP_Tapes"
   }
   else if (f.op[2].checked) 
   {
      iTmp = 2;
      operation = f.op[2].value;
      submitDiv = 'updateByFUP';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Update Drive Firmware By Tape";
      document.getElementById('selectDriveTypeLabel_1').innerHTML = "Update Drive Firmware By Tape";
      document.getElementById('helpTag').value = 55; //"Drive_FW_Using_FUP_Tape"
   }
   else if (f.op[3].checked) 
   {
      iTmp = 3;
      operation = f.op[3].value;
      submitDiv = 'updateByImage';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Update Drive Firmware By Image";
      document.getElementById('selectDriveTypeLabel_1').innerHTML = "Update Drive Firmware By Image";
      document.getElementById('helpTag').value = 56; //"Drive_FW_Using_Image_File"
   }
   else if (f.op[4].checked) 
   {
      iTmp = 4;		 
      operation = f.op[4].value;
      submitDiv = 'retriveDiv';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Retrieve Drive Log";
      document.getElementById('helpTag').value = 57; //"Retrieving_Tape_Drive_Logs"
   }
   else if (f.op[5].checked) 
   {
      iTmp = 5;		 
      operation = f.op[5].value;
      submitDiv = 'retriveSledDiv';
      document.getElementById('selectDriveTypeLabel').innerHTML = "Retrieve Drive Sled Log";
      document.getElementById('helpTag').value = 58; //"Retrieving_Tape_Drive_Sled_Logs"
   }
   else if (f.op[6].checked) 
   {
      iTmp = 5;		 
      operation = f.op[6].value;
		// Call the new CleanDrive page
		parent.contentFrame.location = "/driveClean.htm";
		return;
   }
   else if (f.op[7].checked) 
   {
      iTmp = 5;		 
      operation = f.op[7].value;
		// Call the manage drive brick auto level page
		parent.contentFrame.location = "/driveBrickAutolevel.htm";
		return;
   }
   else if(f.op[8].checked)
   {
      iTmp = 5;		 
      operation = f.op[8].value;
		// Call the new Reset Drive 
      parent.contentFrame.location = "/driveReset.htm";
      return;
   }
	else
	{
		alert("You must select an operation before pressing the Next button.");
		return false;
	}

   // Only show drive type selection page if there are more than one driveType
   if (numDriveTypes > 1)
   {
      nextDivTag = 'selectDriveTypeDiv';
      prevDivTag = 'selectDriveTypeDiv';
   }
   else
   {
      nextDivTag = operation;
      prevDivTag = 'header';
   }
   selectDriveType(selectedDriveType);
   switchDiv('header', nextDivTag);
}

function checkZeroMailbox(form)
{
   if( form.numMailBox.value <= 0 )
   {
      alert('This operation cannot be performed since the required I/E Station support is not configured.');
      return false;
   }

   return true;
}

var saveType = "";
function selectDriveType(type)
{
	// save the type off so we can refresh on the back button
	if( type != "" )
		saveType = type;
	else
		type = saveType;
		
   // Reload the iframe, update the action for the form
   if (operation == 'selectDriveDiv')
   {
      var url = "/createFUPDriveList.htm?driveType=" + type + "&spanIdPrefix=c_";
      window.frames['createFUPDriveList'].document.location = url;
      document.forms['selectDriveForm'].action = url;
      document.forms['selectDriveForm'].selectedDrivesInfo.value = "";
   }
	 else if (operation == 'selectDriveDivE' )
	 {
      var url = "/createFUPDriveList.htm?driveType=" + type + "&spanIdPrefix=e_";
      window.frames['createFUPDriveListE'].document.location = url;
      document.forms['selectDriveForm'].action = url;      
		document.forms['selectDriveForm'].target = 'createFUPDriveListE';
      document.forms['selectDriveForm'].selectedDrivesInfo.value = "";
	 }
	 else if (operation == 'selectDriveDivL' )
	 {
      var url = "/createFUPDriveList.htm?driveType=" + type + "&fullOK=1"  + "&spanIdPrefix=l_";
      window.frames['createFUPDriveListL'].document.location = url;
      document.forms['selectDriveForm'].action = url;      
		document.forms['selectDriveForm'].target = 'createFUPDriveListL';
      document.forms['selectDriveForm'].selectedDrivesInfo.value = "";
	 }
	 else if (operation == 'selectDriveDivLS' )
	 {
      var url = "/createFUPDriveList.htm?driveType=" + type + "&fullOK=1"  + "&spanIdPrefix=lS_";
      window.frames['createFUPDriveListLS'].document.location = url;
      document.forms['selectDriveForm'].action = url;      
		document.forms['selectDriveForm'].target = 'createFUPDriveListLS';
      document.forms['selectDriveForm'].selectedDrivesInfo.value = "";
	 }
   else
   {
      var url = "/updateFirmwareList.htm?driveType=" + type;
      window.frames['updateFirmwareList'].document.location = url;
      document.forms['selectDrivesForm'].action = url;
      document.forms['selectDrivesForm'].selectAllDrivesCB.checked = false;
      document.forms['selectDrivesForm'].selectedDrivesInfo.value = "";
   }
   selectedDriveType = type;
   selectedDrives = "";
}

function setSelectedDrives(driveInfo)
{
   if (operation == 'selectDriveDiv' )
   {
      document.forms['selectDriveForm'].selectedDrivesInfo.value = driveInfo;
   }
	 else if (operation == 'selectDriveDivE' )
	 {
      document.forms['selectDriveForm'].selectedDrivesInfo.value = driveInfo;
	 }
	 else if (operation == 'selectDriveDivL' )
	 {
      document.forms['selectDriveForm'].selectedDrivesInfo.value = driveInfo;
	 }
	 else if (operation == 'selectDriveDivLS' )
	 {
      document.forms['selectDriveForm'].selectedDrivesInfo.value = driveInfo;
	 }
   else
   {
      document.forms['selectDrivesForm'].selectedDrivesInfo.value = driveInfo;
      if (driveInfo == "") document.forms['selectDrivesForm'].selectAllDrivesCB.checked = false;
   }
   selectedDrives = driveInfo;
}
 
function selectDrives(currentDiv)
{
   if (selectedDrives == "")
   {
      alert("Please select a drive before moving on");
      return;
   }
   switchDiv(currentDiv, submitDiv);
}

function selectAllDrives(checkbox)
{
   window.frames['updateFirmwareList'].selectAllDrives(checkbox.checked);
}

function submitRequest(title, request, formName)
{
   var f = document.forms[formName];
   f.selectedDrivesInfo.value = selectedDrives;
	 
   if (formName == 'imageForm' && f.driveFirmware.value == "")
   {
      alert("Please select a firmware image to upload.");
      return;
   }
	 
	 	  // Caution the user the Drive will be taken Offline
	  if( !cautionLibOffline() )
	 	  return;

   f.action = '/updateFirmware.htm?method=' + request;
   openProgressWindow(title, formName);
}


function submitRequest_no_warn(title, request, formName)
{
   var f = document.forms[formName];
   f.selectedDrivesInfo.value = selectedDrives;
	 
   if (formName == 'imageForm' && f.driveFirmware.value == "")
   {
      alert("Please select a firmware image to upload.");
      return;
   }
	 
   f.action = '/updateFirmware.htm?method=' + request;
   openProgressWindow(title, formName);
}
