/****************************************************************************** 
 * Copyright 1991-2008 by Quantum, Inc.  All rights reserved.
 * No part of this work may be reproduced or transmitted in any
 * form or by any means, electronic or mechanical, including
 * photocopying and recording, or by any information storage
 * or retrieval system, except as may be expressly permitted by
 * the 17 U.S.C. section 101, et. seq., or in writing by
 * Quantum, Inc.
 *******************************************************************************/
/*##############################################################################
 # NOTES FOR IBM:
 # See the main notes in ms_advanced_reporting_drive.htm
 ##############################################################################*/
// ms_advanced_reporting_common.js
// Common JavaScript functions and classes used by advanced reporting.
// 

/********************************************************************
 * This function is a quick and dirty way to differentiate between
 * Netscape and other browsers.  If we require more detailed browser
 * detection in the future, this function will need to be enhanced.
 ********************************************************************/
function isNetscape()
{
   if (navigator.userAgent.indexOf('MSIE') > 0)
      return false;
   return true;
}



/********************************************************************
 * Switch a Hidden Div with a visable Div
 ********************************************************************/
function switchDiv(this_div, next_div)
{
  // move the current visible layer to hidden and replace it
  // with the next layer
  if (getStyleObject(this_div) && getStyleObject(next_div))
  {
    changeObjectVisibility(this_div, "hidden");
    changeObjectVisibility(this_div+"_background", "hidden");
    changeObjectVisibility(next_div, "visible");
    changeObjectVisibility(next_div+"_background", "visible");
  }
}

/********************************************************************
 * Determines which browser you are using and sets the style
 * accordingly.
 ********************************************************************/
function getStyleObject(objectId)
{
   // checkW3C DOM, then MSIE 4, then NN 4.
   //
   if(document.getElementById && document.getElementById(objectId))
   {
      return document.getElementById(objectId).style;
   }
   else if (document.all && document.all(objectId))
   {
      return document.all(objectId).style;
   }
   else if (document.layers && document.layers[objectId])
   {
      return document.layers[objectId];
   }
   else
   {
      return;
   }
}

/********************************************************************
 * changes the visiblity of a layer or 'div'
 ********************************************************************/
function changeObjectVisibility(objectId, newVisibility)
{
   // first get the object's stylesheet
   var styleObject = getStyleObject(objectId)
   
   // then if we find a stylesheet, set its visibility
   // as requested
   if (styleObject)
   {
      styleObject.visibility = newVisibility;
      return;
   }
   else
   {
      return;
   }
}

function chartDataCheck()
{
    var bRet = true;
    if( col1Array.length == 0 )
    {
        alert("There is no data to display for this chart configuration!");
        bRet = false;
    }
    else if( chartMax == 0 )
    {
        alert("All the data for this chart is 0, there is nothing to display!");
        bRet = false;
    }
    return bRet;
}

